document.addEventListener("DOMContentLoaded", function() {
    // Retrieve the rowData from the session
    var rowData = sessionStorage.getItem('rowData');
    var rowDataObj = JSON.parse(rowData);
    // Log the rowDataObj to the console
    console.log(rowDataObj);
    
    //////Variables para el cálulo///
    const tic = rowDataObj["tic"];
    localStorage.setItem('tic', tic);
    const tcv = rowDataObj["tcv"];
    localStorage.setItem('tcv', tcv);
    const kic = rowDataObj["kic"];
    localStorage.setItem('kic', kic);
    const kcv = rowDataObj["kcv"];
    localStorage.setItem('kcv', kcv);
    const monto= rowDataObj["Monto a Aportar"];
    localStorage.setItem('monto', monto);
    const moda= rowDataObj["Modalidad de Inversión"];
    localStorage.setItem('moda', moda);
    const monto_inicial= rowDataObj["Monto Inicial a Aportar"];
    localStorage.setItem('monto_inicial', monto_inicial);
    const plzo= rowDataObj["Plazo de aportaciones"];
    localStorage.setItem('months', plzo);
    const fechai= rowDataObj["Fecha de inicio"];
    localStorage.setItem('fechai', fechai);
    
    const tiempoTranscurrido = Date.now();
    const fecha = new Date(tiempoTranscurrido)
    var options = { weekday: 'long', year: 'numeric', month: 'long', day: 'numeric' };
    //const hoy = fecha.getDate();
    const formattedDate = fecha.toLocaleDateString('es-ES', options);
    document.getElementById('hoy').textContent = formattedDate
    document.getElementById('hoy2').textContent = formattedDate
    document.getElementById('hoy3').textContent = formattedDate
    document.getElementById('hoy4').textContent = formattedDate
    
    
    // Unpack each variable
    const nombrePF = rowDataObj["Nombre de Representante Legal"];
    document.getElementById("nombre").textContent = nombrePF;
    document.getElementById("nombre2").textContent = nombrePF;
    document.getElementById("representante").textContent = nombrePF;
    const razon = rowDataObj["Razón Social"];
    document.getElementById("comprador").textContent = razon;
    document.getElementById("denominacion").textContent = razon;
    document.getElementById("razon1").textContent = razon;
    document.getElementById("razon2").textContent = razon;
    const actvecon = rowDataObj["Principales Actividades Económicas"];
    document.getElementById("actiEcon").textContent = actvecon;
    const domicilio = rowDataObj["Domicilio Fiscal"];
    document.getElementById("domicilio_comprador").textContent = domicilio;
    const mail = rowDataObj["Email"];
    document.getElementById("email_comprador").textContent = mail;
    const rfc = rowDataObj["RFC"];
    document.getElementById("rfc").textContent = rfc;
    const constitucion = rowDataObj["Fecha de constitucion"];
    document.getElementById("fecha_constitucion").textContent = constitucion;
    const id = rowDataObj["ID"];
    document.getElementById("numero_contrato").textContent = id;
    document.getElementById("numero_contrato2").textContent = id;
    });